const state = {
    pickingTypes: {
        default: [],
        values: this.default
    }
}

const getters = {
    /**
     * 
     * @param {*} state 
     */
    pickingTypes(state) {
        return state.pickingTypes.values
    }
}

const mutations = {
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setPickingTypes(state, payload) {
        state.pickingTypes.values = [...payload]
    }
}

const actions = {
    /**
     * 
     * @param {*} param0 
     */
    setPickingTypes({ commit }) {
        commit('setPickingTypes')
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}